<?php
require_once dirname(__FILE__).'/DomainInterface.php';

class ResendInvoice implements DomainInterface{

    private $IdComprobante;
    private $NoIncluirMailFacturacion;
    private $NoIncluirCC;
    private $Direcciones;


    /*
    $data: array [int,boolean,boolean,array[direcciones]]
    */ 
    public function __construct($data){
        $this->IdComprobante = $data['IdComprobante'];
        $this->NoIncluirMailFacturacion = $data['NoIncluirMailFacturacion'];
        $this->NoIncluirCC =$data['NoIncluirCC'];
        $this->Direcciones = $data['Direcciones'];	
    }


    public function getData(){
        return [
            "IdComprobante" =>  $this->IdComprobante,
            "NoIncluirMailFacturacion" => $this->NoIncluirMailFacturacion,
            "NoIncluirCC" => $this->NoIncluirCC,	
            "Direcciones" => $this->getParsedDirections()
        ];

    }

    private function getParsedDirections(){
        $parsedEmails = $this->Direcciones;
        if(is_array($this->Direcciones)){
            $parsedEmails = implode(", ", $this->Direcciones);
        }
        return $parsedEmails;
    }
    
}