<?php

require_once dirname(__FILE__).'/RequestModel.php';
require_once dirname(__FILE__).'/RequestInterface.php';
require_once dirname(__DIR__).'/Model/Auth.php';


class ListReceiptsRequestModel extends RequestModel implements RequestInterface{

    private $fecha_desde;
    private $fecha_hasta;
    private $nro_pagina;
    
    public function __construct($data){       
        $this->fecha_desde = $data['fecha_desde'];	
        $this->fecha_hasta = $data['fecha_hasta'];
        $this->nro_pagina = $data['nro_pagina'];
    }

    public function getRequest($auth) {
        $data =  [
            "Autenticacion" => $auth,
            "FechaDesde" => $this->fecha_desde,
            "FechaHasta"=>$this->fecha_hasta,
            "NroPagina"=>$this->nro_pagina
        ];
        return $this->prepareRequest($data);
    }
    
}