<?php

require_once dirname(__FILE__).'/RequestModel.php';
require_once dirname(__FILE__).'/RequestInterface.php';
require_once dirname(__DIR__).'/Model/Item.php';

class ReceiptRequestModel extends RequestModel implements RequestInterface{

    private $header;
    private $cliente;
    private $items;

    
    public function __construct($client,$header,$items){     
        $this->cliente = $client;	
        $this->header = $header;
        $this->items = $items;
         
    }

    public function getRequest($auth) {
        $data =  [
            "Autenticacion" => $auth,
            "Cliente" => $this->cliente->getData(),
            "Encabezado" => $this->header->getData(),
            "Items" => $this->getItemsData()
        ];
        return $this->prepareRequest($data);
    }

    /*private function generateItems($data){
        $objArray=[];
		foreach($data as $item){
            $objArray[]=new Item($item);
        }
	    return $objArray; 
    } */

	private function getItemsData(){
		foreach($this->items as $item){
			$data[]=$item->getData();
        }
		return $data;
    }
    
}