<?php
require_once dirname(__FILE__).'/ResponseModel.php';
require_once dirname(__DIR__).'/DTO/ResponseType.php';

class ErrorResponseModel extends ResponseModel implements ResponseInterface{

    private $e;

    public function __construct(\Exception $e){
        $this->e = $e;
        $this->error = true;
        $this->data = 'Hubo un error al procesar la solicitud, intente nuevamente, si el problema persiste por favor comuniquese con el equipo de soporte a soporte@facturante.com';
    }

    public function getResponse($responseType){
        switch($responseType){
            case ResponseType::ARRAY_TYPE:
                return $this->getArrayResponse();
            case ResponseType::JSON_TYPEDB: 
                return $this->getJsonResponse();
        }
    }

    public function getJsonResponse(){
        return json_encode($this);
    }
}