<?php 

class Iva{

    private function getField(){
        $fieds = array(
            
			'IVA' => array(
                'name' => __( 'IVA', 'woo-facturante' ),
                'type' => 'select',
                'desc' => __( 'IVA %', 'woo-facturante' ),
                'id'   => 'wc_settings_tab_woo_facturante_IVA',
				'default' => '21',
				'options' => array(
					  '21' => '21 %',
					  '10,5' => '10,5 %',
					  '27' => '27 %',
					  '2,5' => '2,5 %',
					  '5' => '5 %',
					  '0' => '0 %'
				 )
            )
	
        );
	}

	public function iva_field() {
		global $post;
		$product = wc_get_product($post->ID);
		$value = $product->get_meta('IVA');
		if($value == ""){
			$value = '21';
		}
		$select_field = array (
		  'id' => 'my_select' ,
		  'name' => __( 'IVA', 'woo-facturante' ),
		  'label' => __ ( 'IVA facturante' , 'Se adicionara este porcentaje a la factura' ),
		  'type' => 'select',
		  'desc' => __( 'IVA %', 'woo-facturante' ),
		  'id'   => 'wc_settings_tab_woo_facturante_IVA',
		  'value' => $value,
		  'options' => array(
				'21' => '21 %',
				'10,5' => '10,5 %',
				'27' => '27 %',
				'2,5' => '2,5 %',
				'5' => '5 %',
				'0' => 'Exento / No gravado'
		   )
		);
		woocommerce_wp_select($select_field);
	  }

 
	function save_iva_field( $post_id ) {
  
	$custom_field_value = isset( $_POST['IVA'] ) ? sanitize_text_field($_POST['IVA']) : '';
	
	$product = wc_get_product( $post_id );
	$product->update_meta_data( 'IVA', $custom_field_value );
	$product->save();
  
  }


}