<?php 

class IvaShipping{

	
	public function add_extra_fields_in_shipping_methods()
    {
		$sm = WC()->shipping->get_shipping_methods();
		foreach($sm as $key => $value){
			add_filter( 'woocommerce_shipping_instance_form_fields_'.$key , array(&$this, 'set_iva_field'),10,2 );		
		}
	} 

	public function set_iva_field($settings) {
		$counter = 0;
		$arr = array();
		foreach ($settings as $key => $value)
		{
			if($key=='cost' && $counter==0)
			{
				$arr[$key] = $value; 
				$arr['IVA'] = array (
					'id' => 'my_select' ,
					'title' => 'IVA',
					'name' => __( 'IVA', 'woo-facturante' ),
					'label' => __ ( 'IVA facturante' , 'Se adicionara este porcentaje a la factura' ),
					'type' => 'select',
					'desc' => __( 'IVA %', 'woo-facturante' ),
					'id'   => 'wc_settings_tab_woo_facturante_IVA',
					'value' => 21,
					'options' => array(
						  '21' => '21 %',
						  '10,5' => '10,5 %',
						  '27' => '27 %',
						  '2,5' => '2,5 %',
						  '5' => '5 %',
						  '0' => 'Exento / No gravado'
					 )
				  );
				$counter++; 
			} 
			else 
			{
				$arr[$key] = $value;
			} 
		}
		return $arr; 
	}
}