<?php
require_once dirname(__FILE__).'/DomainInterface.php';
    class  Client implements DomainInterface {

        private $CodigoPostal;
        private $CondicionPago;	
        private $Contacto;
        private $DireccionFiscal;
        private $EnviarComprobante;
        private $MailContacto;
        private $MailFacturacion;
        private $NroDocumento;
        private $PercibeIIBB;
        private $PercibeIVA;
        private $RazonSocial;
        private $Telefono;
        private $TipoDocumento;	
        private $Provincia;
        private $Localidad;

        public function __construct($data){
            $this->CodigoPostal = isset($data['CodigoPostal']) ? $data['CodigoPostal'] : null;
            $this->CondicionPago = isset($data['CondicionPago']) ? $data['CondicionPago'] : null;
            $this->Contacto =isset( $data['Contacto']) ? $data['Contacto'] : null;
            $this->DireccionFiscal = isset($data['DireccionFiscal']) ? $data['DireccionFiscal'] : null;
            $this->EnviarComprobante =isset($data['EnviarComprobante']) ? $data['EnviarComprobante'] : null;
            $this->MailFacturacion =isset($data['MailFacturacion'])? $data['MailFacturacion'] : null;
            $this->MailContacto =isset($data['MailContacto']) ? $data['MailContacto'] : null;
            $this->NroDocumento = isset($data['NroDocumento'])?$data['NroDocumento']:null; 
            $this->PercibeIIBB =isset($data['PercibeIIBB']) ? $data['PercibeIIBB'] : null;
            $this->PercibeIVA =isset($data['PercibeIVA']) ? $data['PercibeIVA'] : null;
            $this->RazonSocial =isset($data['RazonSocial']) ? $data['RazonSocial'] : null;
            $this->Telefono =isset($data['Telefono']) ? $data['Telefono'] : null;
            $this->TipoDocumento =isset($data['TipoDocumento']) ? $data['TipoDocumento'] : null;
            $this->Provincia =isset($data['Provincia']) ? $data['Provincia'] : null;
            $this->Localidad =isset($data['Localidad']) ? $data['Localidad'] : null;
        }


        public function getData(){
            return [
                "CodigoPostal" => $this->CodigoPostal,
                "CondicionPago" => $this->CondicionPago,			
                "Contacto" => $this->Contacto, 			
                "DireccionFiscal" => $this->DireccionFiscal,
                "EnviarComprobante" => $this->EnviarComprobante,
                "MailContacto" => $this->MailContacto, 
                "MailFacturacion" => $this->MailFacturacion, 
                "NroDocumento" => $this->NroDocumento,					
                "PercibeIIBB" => $this->PercibeIIBB,				
                "PercibeIVA" => $this->PercibeIVA,
                "RazonSocial" => $this->RazonSocial,				
                "Telefono" => $this->Telefono, 
                "TipoDocumento" => $this->TipoDocumento,
                "Provincia" => $this->Provincia,
                "Localidad" => $this->Localidad
            ];

        }
        
    }

?>