<?php
require_once dirname(__FILE__).'/DomainInterface.php';
    class  Header implements DomainInterface {

        private $Bienes;
        private $CondicionVenta;
        private $EnviarComprobante;
        private $FechaHora;
        private $FechaServDesde;
        private $FechaServHasta;
        private $FechaVtoPago;
        private $ImporteImpuestosInternos;
        private $ImportePercepcionesMunic;
        private $Moneda;
        private $Prefijo;
        private $ImporteIVA;
        private $ImporteIIBB;
        private $AlicuotaPercGanancias;
        private $AlicuotaPercSUSS;
        private $TipoComprobante;
        private $TipoDeCambio;
        private $WebHook;
        private $Observaciones;

        public function __construct($data){
            
            $this->Bienes = isset($data['Bienes']) ? $data['Bienes'] : null ;
            $this->CondicionVenta = isset($data['CondicionVenta']) ? $data['CondicionVenta'] : null;
            $this->EnviarComprobante = isset($data['EnviarComprobante']) ? $data['EnviarComprobante'] : null;
            $this->FechaHora = isset($data['FechaHora']) ? $data['FechaHora'] : null;
            $this->FechaServDesde = isset($data['FechaServDesde']) ? $data['FechaServDesde'] : null;
            $this->FechaServHasta = isset( $data['FechaServHasta']) ? $data['FechaServHasta'] : null;
            $this->FechaVtoPago =  isset( $data['FechaVtoPago']) ? $data['FechaVtoPago'] : null;
            $this->ImporteImpuestosInternos = isset( $data['ImporteImpuestosInternos']) ? $data['ImporteImpuestosInternos'] : null;
            $this->ImportePercepcionesMunic = isset( $data['ImportePercepcionesMunic']) ? $data['ImportePercepcionesMunic'] : null;
            $this->Moneda = isset( $data['Moneda']) ? $data['Moneda'] : null;
            $this->Prefijo = isset( $data['Prefijo']) ? $data['Prefijo'] : null;
            $this->ImporteIVA = isset($data['ImporteIVA']) ? $data['ImporteIVA'] : null;
            $this->ImporteIIBB = isset($data['ImporteIIBB']) ? $data['ImporteIIBB'] : null;
            $this->AlicuotaPercGanancias = isset( $data['AlicuotaPercGanancias']) ? $data['AlicuotaPercGanancias'] : null;
            $this->AlicuotaPercSUSS = isset( $data['AlicuotaPercSUSS']) ? $data['AlicuotaPercSUSS'] : null;
            $this->TipoComprobante = isset( $data['TipoComprobante']) ? $data['TipoComprobante'] : null;
            $this->TipoDeCambio = isset( $data['TipoDeCambio']) ? $data['TipoDeCambio'] : null;
            $this->WebHook = isset( $data['WebHook']) ? $data['WebHook'] : null; 
            $this->Observaciones  = isset( $data['Observaciones']) ? $data['Observaciones'] : null; 
        }



        public function getData(){
            return  [		
                    "Bienes" => $this->Bienes,			
                    "CondicionVenta" => $this->CondicionVenta,	
                    "EnviarComprobante" => $this->EnviarComprobante,
                    "FechaHora" => $this->FechaHora,						
                    "FechaServDesde" => $this->FechaServDesde,//Es obligatorio si campo Bienes="2" o "3"
                    "FechaServHasta" => $this->FechaServHasta,//Es obligatorio si campo Bienes="2" o "3"
                    "FechaVtoPago" => $this->FechaVtoPago,						
                    "ImporteImpuestosInternos" => $this->ImporteImpuestosInternos,
                    "ImportePercepcionesMunic" => $this->ImportePercepcionesMunic,					
                    "Moneda" => $this->Moneda,			
                    "Prefijo" => $this->Prefijo,
                    "ImporteIVA" => $this->ImporteIVA,
                    "ImporteIIBB" => $this->ImporteIIBB,	
                    "AlicuotaPercGanancias" => $this->AlicuotaPercGanancias,	
                    "AlicuotaPercSUSS" => $this->AlicuotaPercSUSS,	
                    "TipoComprobante" => $this->TipoComprobante,//F factura, NC = Nota de Crédito				
                    "TipoDeCambio" => $this->TipoDeCambio,
                    "WebHook" => $this->WebHook,
                    "Observaciones" => $this->Observaciones,
                    "Atributos" => ["Atributo" => ["Titulo"=>"Origin","Valor"=>"WooFacturante"]]
                    ];
        }
    }

?>