<?php

require_once dirname(__FILE__).'/RequestModel.php';
require_once dirname(__FILE__).'/RequestInterface.php';
require_once dirname(__DIR__).'/Model/ResendInvoice.php';

class ResendInvoiceRequestModel extends RequestModel implements RequestInterface{

    private $resendInvoice;

    
    public function __construct($resendInvoice){       
        $this->resendInvoice = $resendInvoice;	
    }

    public function getRequest($auth) {
        $data =  ["Autenticacion" => $auth];
        $data=array_merge($data ,$this->resendInvoice->getData());
        return $this->prepareRequest($data);
    }
    
}