<?php
require_once dirname(__FILE__).'/ResponseModel.php';
require_once dirname(__DIR__).'/DTO/ResponseType.php';

class ReceiptResponseModel extends ResponseModel implements ResponseInterface {

    private $comprobante;

    public function __construct($response){     
        if(isset($response->CrearComprobanteFullResult->IdComprobante)){
            $this->data = ['IdComprobante'=>$response->CrearComprobanteFullResult->IdComprobante];
        }else{
            $this->error=true;
            $this->data = $response->CrearComprobanteFullResult->Mensaje;
        }
    }

    public function getResponse($responseType){
        switch($responseType){
            case ResponseType::ARRAY_TYPE:
                return $this->getArrayResponse();
            case ResponseType::JSON_TYPEDB: 
                return $this->getJsonResponse();
        }
    }

    public function getJsonResponse(){
        return json_encode($this);
    }

}