<?php

require_once dirname(__FILE__).'/ResponseModel.php';
require_once dirname(__DIR__).'/DTO/ResponseType.php';

class ResendInvoiceResponseModel extends ResponseModel implements ResponseInterface {

    private $comprobante;

    public function __construct($response){     
        if(isset($response->ReenviarComprobanteResult->Estado)){
            $this->data = ['Estado'=>$response->ReenviarComprobanteResult->Estado,'Mensaje'=>$response->ReenviarComprobanteResult->Mensaje];
        }else{
            $this->error=true;
        }
    }

    public function getResponse($responseType){
        switch($responseType){
            case ResponseType::ARRAY_TYPE:
                return $this->getArrayResponse();
            case ResponseType::JSON_TYPE: 
                return $this->getJsonResponse();
        }
    }
    
    public function getJsonResponse(){
        return json_encode($this);
    }

}